Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.math.parser
Class Parser

    ru.biosoft.math.model.AbstractParser
      |
      +--ru.biosoft.math.parser.Parser

public class Parser
extends AbstractParser
implements ParserConstants, ParserTreeConstants

Field Summary
`Token` | `jj_nt`
`boolean` | `lookingAhead`
`Token` | `token`
`ParserTokenManager` | `token_source`

Constructor Summary
`Parser()` Default constructor.
`Parser(java.io.InputStream stream)`
`Parser(java.io.Reader stream)`
`Parser(ParserTokenManager tm)`

Method Summary
`final void` | `AdditiveExpression()`
`final void` | `AndExpression()`
`final void` | `AnyConstant()`
`final void` | `ArgumentDeclaration()`
`final void` | `ArgumentList(int reqArguments, String functionName)`
`final Vector` | `Array()`
`final void` | `Assignment()` ************************************************************* ASSIGNMENT
`final void` | `Diff()`
`final void` | `DiffEquation()` ************************************************************* DIFFERENTIATION
`final void` | `disable_tracing()`
`final void` | `enable_tracing()`
`final void` | `EqualExpression()`
`final void` | `Expression()` ************************************************************* EXPRESSION
`final void` | `Function()`
`final void` | `FunctionDeclaration()` ************************************************************* FUNCTION DECLARATION
`ParseException` | `generateParseException()`
`final Token` | `getNextToken()`
`final Token` | `getToken(int index)`
`final String` | `Identifier()`
`final void` | `MultiplicativeExpression()`
`final void` | `OrExpression()`
`final void` | `ParenthisExpression()`
`int` | `parse(String expression)`
`final void` | `Piece()`
`final void` | `PieceOrOtherwise()`
`final void` | `Piecewise()` ************************************************************* PIECEWISE
`final void` | `PowerExpression()`
`final void` | `PredefinedConstant()`
`final Object` | `RealConstant()`
`void` | `ReInit(java.io.InputStream stream)`
`void` | `ReInit(java.io.Reader stream)`
`void` | `ReInit(ParserTokenManager tm)`
`final void` | `RelationalExpression()`
`final AstStart` | `Start()` ************************************************************* GRAMMAR START
`final void` | `UnaryExpression()`
`final void` | `UnaryExpressionNotPlusMinus()`
`final void` | `Variable()`
`final void` | `VariableOrPredefinedConstant()`
`final void` | `XorExpression()`

Methods inherited from class ru.biosoft.math.model.AbstractParser
`error, fatalError, getContext, getMessages, getStartNode, getVariableResolver, isDeclareUndefinedVariables, setContext, setDeclareUndefinedVariables, setVariableResolver, warning`

Field Detail

### jj_nt

    public Token jj_nt

### lookingAhead

    public boolean lookingAhead

### token

    public Token token

### token_source

    public ParserTokenManager token_source

Constructor Detail

### Parser

    public Parser()

  Default constructor.

### Parser

    public Parser(java.io.InputStream stream)

### Parser

    public Parser(java.io.Reader stream)

### Parser

    public Parser(ParserTokenManager tm)

Method Detail

### AdditiveExpression

    public final void AdditiveExpression()
                                   throws ParseException

### AndExpression

    public final void AndExpression()
                              throws ParseException

### AnyConstant

    public final void AnyConstant()
                            throws ParseException

### ArgumentDeclaration

    public final void ArgumentDeclaration()
                                    throws ParseException

### ArgumentList

    public final void ArgumentList(int reqArguments, String functionName)
                             throws ParseException

### Array

    public final Vector Array()
                        throws ParseException

### Assignment

    public final void Assignment()
                           throws ParseException

  ************************************************************* ASSIGNMENT

### Diff

    public final void Diff()
                     throws ParseException

### DiffEquation

    public final void DiffEquation()
                             throws ParseException

  ************************************************************* DIFFERENTIATION

### disable_tracing

    public final void disable_tracing()

### enable_tracing

    public final void enable_tracing()

### EqualExpression

    public final void EqualExpression()
                                throws ParseException

### Expression

    public final void Expression()
                           throws ParseException

  ************************************************************* EXPRESSION

### Function

    public final void Function()
                         throws ParseException

### FunctionDeclaration

    public final void FunctionDeclaration()
                                    throws ParseException

  ************************************************************* FUNCTION DECLARATION

### generateParseException

    public ParseException generateParseException()

### getNextToken

    public final Token getNextToken()

### getToken

    public final Token getToken(int index)

### Identifier

    public final String Identifier()
                             throws ParseException

### MultiplicativeExpression

    public final void MultiplicativeExpression()
                                         throws ParseException

### OrExpression

    public final void OrExpression()
                             throws ParseException

### ParenthisExpression

    public final void ParenthisExpression()
                                    throws ParseException

### parse

    public int parse(String expression)

### Piece

    public final void Piece()
                      throws ParseException

### PieceOrOtherwise

    public final void PieceOrOtherwise()
                                 throws ParseException

### Piecewise

    public final void Piecewise()
                          throws ParseException

  ************************************************************* PIECEWISE

### PowerExpression

    public final void PowerExpression()
                                throws ParseException

### PredefinedConstant

    public final void PredefinedConstant()
                                   throws ParseException

### RealConstant

    public final Object RealConstant()
                               throws ParseException

### ReInit

    public void ReInit(java.io.InputStream stream)

### ReInit

    public void ReInit(java.io.Reader stream)

### ReInit

    public void ReInit(ParserTokenManager tm)

### RelationalExpression

    public final void RelationalExpression()
                                     throws ParseException

### Start

    public final AstStart Start()
                          throws ParseException

  ************************************************************* GRAMMAR START

### UnaryExpression

    public final void UnaryExpression()
                                throws ParseException

### UnaryExpressionNotPlusMinus

    public final void UnaryExpressionNotPlusMinus()
                                            throws ParseException

### Variable

    public final void Variable()
                         throws ParseException

### VariableOrPredefinedConstant

    public final void VariableOrPredefinedConstant()
                                             throws ParseException

### XorExpression

    public final void XorExpression()
                              throws ParseException

Association Links

to Class ru.biosoft.math.parser.JJTParserState

to Class ru.biosoft.math.parser.ParserTokenManager

to Class ru.biosoft.math.parser.SimpleCharStream

to Class ru.biosoft.math.parser.Token

to Class ru.biosoft.math.parser.Token

to Class ru.biosoft.math.parser.Parser.JJCalls

to Class ru.biosoft.math.parser.Parser.LookaheadSuccess

to Class java.util.Vector

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM